Get Modifiers

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
GET /o/op/1/menu/modifiers

Returns a list of production instructions for a specific business location.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    Load modifiers

    Hide response attributes Show response attributes object
    • multiSelectionPermitted boolean

      Specifies if more than one production instruction can be selected for this group.

    • productionInstructionGroupName string

      The group name for this production instruction.

    • productionIntructionGroupId integer(int64)

      The unique identifier for this production instruction group.

    • productionInstructionList array[object]

      Array of production instructions for this group.

      Hide productionInstructionList attributes Show productionInstructionList attributes object

      Array of production instructions for this group

      • instruction string

        The name of the production instruction.

      • ikentooModifierId integer(int64)

        The unique identifier of this production instruction.

GET /o/op/1/menu/modifiers
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/1/menu/modifiers?businessLocationId=45454565682155' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[{"multiSelectionPermitted" => false, "productionInstructionGroupName" => "Meat cooking", "productionIntructionGroupId" => 236025632784487, "productionInstructionList" => [{"instruction" => "Bleu", "ikentooModifierId" => 236025632784488}, {"instruction" => "Rare", "ikentooModifierId" => 236025632784490}, {"instruction" => "Medium Rare", "ikentooModifierId" => 236025632784492}, {"instruction" => "Medium", "ikentooModifierId" => 236025632784494}, {"instruction" => "Medium well", "ikentooModifierId" => 236025632784496}, {"instruction" => "Well done", "ikentooModifierId" => 236025632784498}]}, {"multiSelectionPermitted" => false, "productionInstructionGroupName" => "Fish cooking", "productionIntructionGroupId" => 236025632784501, "productionInstructionList" => [{"instruction" => "Seared", "ikentooModifierId" => 236025632784502}, {"instruction" => "Medium", "ikentooModifierId" => 236025632784504}, {"instruction" => "Well done", "ikentooModifierId" => 236025632784506}]}, {"multiSelectionPermitted" => false, "productionInstructionGroupName" => "Egg cooking", "productionIntructionGroupId" => 236025632784509, "productionInstructionList" => [{"instruction" => "Sunny Side", "ikentooModifierId" => 236025632784510}, {"instruction" => "Over Easy", "ikentooModifierId" => 236025632784512}, {"instruction" => "Hard", "ikentooModifierId" => 236025632784514}, {"instruction" => "Scrambled", "ikentooModifierId" => 236025632784516}]}, {"multiSelectionPermitted" => false, "productionInstructionGroupName" => "Garnish", "productionIntructionGroupId" => 236025632784519, "productionInstructionList" => [{"instruction" => "Fries", "ikentooModifierId" => 236025632784520}, {"instruction" => "Pasta", "ikentooModifierId" => 236025632784522}, {"instruction" => "Rice", "ikentooModifierId" => 236025632784524}, {"instruction" => "Vegetables", "ikentooModifierId" => 236025632784526}, {"instruction" => "Salad", "ikentooModifierId" => 236025632784528}]}, {"multiSelectionPermitted" => false, "productionInstructionGroupName" => "Flavors", "productionIntructionGroupId" => 236025632784531, "productionInstructionList" => [{"instruction" => "Vanilla", "ikentooModifierId" => 236025632784532}, {"instruction" => "Strawberry", "ikentooModifierId" => 236025632784534}, {"instruction" => "Chocolate", "ikentooModifierId" => 236025632784536}, {"instruction" => "Coffee", "ikentooModifierId" => 236025632784538}, {"instruction" => "Caramel", "ikentooModifierId" => 236025632784540}]}]